# PSF-LoginServer - master - net.psforever.objects.zones.ZonePopulationActor
PSF - LoginServer - master - net.psforever.objects.zones.ZonePopulationActor
Keywords: PSF LoginServer master net.psforever.objects.zones.ZonePopulationActor

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- ActivityReport
- HotSpotInfo
- InteractsWithZone
- MapEnvironment
- MapInfo
- MapScale
- SOI
- SphereOfInfluenceActor
- Zone
- ZoneAware
- ZoneDeployableActor
- ZoneGroundActor
- ZoneHotSpotDisplay
- ZoneHotSpotHistory
- ZoneHotSpotProjector
- ZoneInfo
- ZoneInteraction
- ZoneMap
- ZonePopulationActor
- ZoneVehicleActor
- Zoning

o

net.psforever.objects.zones

# ZonePopulationActor 

###
Companion class ZonePopulationActor

#### object ZonePopulationActor

Source
  ZonePopulationActor.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZonePopulationActor
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def CorpseAdd(player: Player, corpseList: ListBuffer[Player]): Boolean

   If the given `player` passes a condition check, add it to the list.

   If the given `player` passes a condition check, add it to the list.

   player

     a `Player` object

   corpseList

     a list of `Player` objects

   returns

     true, if the `player` was added to the list; false, otherwise

5.  def CorpseRemove(player: Player, corpseList: ListBuffer[Player]): Boolean

   Remove the given `player` from the list.

   Remove the given `player` from the list.

   player

     a `Player` object

   corpseList

     a list of `Player` objects

6.  def GetPlayerControlName(player: Player, old: Option[ActorRef]): String
7.  def PlayerLeave(player: Player): Unit
8.  def PopulationJoin(id: Int, playerMap: TrieMap[Int, Option[Player]]): Boolean

   Add an `avatar` as the key of an `Avatar` to `Player` object pair in the given collection.

   Add an `avatar` as the key of an `Avatar` to `Player` object pair in the given collection.

   id

     an `Avatar` id

   playerMap

     the mapping of `Avatar` objects to `Player` objects

   returns

     true, if the mapping is for a new key; false, if the key already exists

9.  def PopulationLeave(id: Int, playerMap: TrieMap[Int, Option[Player]]): Option[Player]

   Remove an `avatar` from the key of an `Avatar` to `Player` object pair in the given collection.

   Remove an `avatar` from the key of an `Avatar` to `Player` object pair in the given collection. If a `Player` object is associated at the time, return it safely.

   id

     an `Avatar` id

   playerMap

     the mapping of `Avatar` objects to `Player` objects

   returns

     any `Player` object that was associated at the time the `avatar` was removed

10.  def PopulationRelease(id: Int, playerMap: TrieMap[Int, Option[Player]]): Option[Player]

    Disassociate a `Player` object from an existing `Avatar` object that was be its key.

    Disassociate a `Player` object from an existing `Avatar` object that was be its key.

    id

      an `Avatar` id

    playerMap

      the mapping of `Avatar` objects to `Player` objects

    returns

      any `Player` object that is associated at the time

11.  def PopulationSpawn(id: Int, player: Player, playerMap: TrieMap[Int, Option[Player]]): Option[(Player, Boolean)]

    Associate a `Player` object as a value to an existing `Avatar` object that will be its key.

    Associate a `Player` object as a value to an existing `Avatar` object that will be its key. Do not overwrite players that are already associated.

    id

      an `Avatar` object

    player

      a `Player` object

    playerMap

      the mapping of `Avatar` objects to `Player` objects

    returns

      a `Tuple` object of the `Player` object that is associated with the `Avatar` key and whether that player was added to the zone for the first time; `None`, if the player should not be introduced to this zone at this time

12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped